Package org.eigenbase.xom

# Class AssertFailure

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eigenbase.xom.AssertFailure

All Implemented Interfaces:
  `Serializable`

public class AssertFailure extends RuntimeException
todo:

Since:
  3 December, 2001
Version:
  $Id: //open/util/resgen/src/org/eigenbase/xom/AssertFailure.java#3 $
Author:
  jhyde
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AssertFailure()`
Construct an AssertFailure with no message
`AssertFailure(String s)`
Construct an AssertFailure with a simple detail message.
`AssertFailure(Throwable th)`
Construct an AssertFailure from an exception.
`AssertFailure(Throwable th, String s)`
Similar to the previous constructor, except allows a custom message on top of the exception

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AssertFailure

public AssertFailure()
Construct an AssertFailure with no message

### AssertFailure

public AssertFailure(String s)
Construct an AssertFailure with a simple detail message.

### AssertFailure

public AssertFailure(Throwable th)
Construct an AssertFailure from an exception. This indicates an unexpected exception of another type. We'll fill in the stack trace when printing the message.

### AssertFailure

public AssertFailure(Throwable th, String s)
Similar to the previous constructor, except allows a custom message on top of the exception